/*
    Copyright 2016, Francois Schiettekatte

    This file is part of Corteo.

    Corteo is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Corteo is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Corteo.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef CSCORRINTERP_H
#define CSCORRINTERP_H

#include <QVector>

class CScorrInterp {

private:

    QVector< double > E;
    QVector< double > angle;
    QVector< QVector< double > > CSarray;

    bool dataLoaded;
    bool ratio2Rutherford;
    int simulationType;

    double M1, M2;
    int Z1, Z2;

    bool loadCSTable();

    QString CSstamp;
    QString reactName;
    QString errorMess;

public:

    CScorrInterp(QString _CSstamp);
    int interp(double Elab, double AngleLab, double *CS );

    bool isDataLoaded() { return dataLoaded; }
    bool isRatio2Rutherford() { return ratio2Rutherford; }
    QString reactionName() { return reactName; }
    QString errorMessage() { return errorMess; }

};

#endif // CSCORRINTERP_H
