/* This file is part of the Corteo project
   Copyright (C) 2004-2015 Francois Schiettekatte <francois.schiettekatte@umontreal.ca>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

#ifndef CALIBRATIONFORM_H
#define CALIBRATIONFORM_H

#include<QtXml>

#include "ui_CalibrationForm.h"

#include "ElementForm.h"
#include "../corteo/techniques.h"

class CalibrationForm :  public QWidget, public  Ui::CalibrationForm 
{
  Q_OBJECT

private:
  int Z;

  QList<QLineEdit *> leCompCorrList;  // compound correction edit fields

public:
  CalibrationForm(QWidget * parent, int Z, int maxlayer);
  virtual ~CalibrationForm() {}

  void        setFromNode(QDomNode &n);
  QDomElement XMLNode(QDomDocument &doc);
  QString     corteo(bool *error);

  QString     compoundCorr(int ilayer);

  void setCalibrationFieldsEnabled(bool enable);
  void setCompoundCorrEnabled(int ilayer, bool enable);
  int  getZ() {return Z;}

};

#endif // CALIBRATIONFORM_H
