/* This file is part of the Corteo project
   Copyright (C) 2004-2015 Francois Schiettekatte <francois.schiettekatte@umontreal.ca>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

#ifndef LAYERFORM_H
#define LAYERFORM_H

#include <QtXml>

#include "ui_LayerForm.h"
#include "ElementForm.h"
#include "../corteo/techniques.h"


#include "XYQt/FSDoubleValidator.h"

class LayerForm : public QWidget, public  Ui::LayerForm
{
  Q_OBJECT

private:
  QIcon green, gray;

public:
  LayerForm(QWidget * parent, int maxelement);
  virtual   ~LayerForm() {}

  QRgb loadedMaterialColor;
  QList<ElementForm *> element;

  void        setFromNode(QDomNode &n);
  QDomElement XMLNode(QDomDocument &doc);

  QString     corteo(QString name, unsigned long numproj, bool *error);

  bool        update(bool isElementDetection, bool isFullCascade);
  bool        isUsed();

private slots:
  void        useElementChanged();
  void        showHideThickness(QString text );


};

#endif // LAYERFORM_H
