/* This file is part of the Corteo project
   Copyright (C) 2004-2015 Francois Schiettekatte <francois.schiettekatte@umontreal.ca>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

// class that contains the corners coordinates of a rectangular marker, as well as the
// adress of the next and previous markers (NULL if none).
#include "FSMarker.h"

FSMarker::FSMarker(double xx1, double yy1, double xx2, double yy2)
{
    x1=xx1;
    y1=yy1;
    x2=xx2;
    y2=yy2;

    prevMarker = 0;
    nextMarker = 0;
}


FSMarker::~FSMarker()
{
    if(prevMarker) prevMarker->nextMarker = nextMarker;  // tell previous marker that now its next marker is what was our next marker
    if(nextMarker) nextMarker->prevMarker = prevMarker;  // ... and inversely
}
