/* This file is part of the Corteo project
   Copyright (C) 2004-2015 Francois Schiettekatte <francois.schiettekatte@umontreal.ca>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/

#ifndef FSOPDIALOG_H
#define FSOPDIALOG_H

#include <qdialog.h>

#include "FSDataSet.h"
#include "ui_FSOpDialog.h"

class FSOpDialog : public QDialog, public Ui::FSOpDialog {
        Q_OBJECT
    public:
        FSOpDialog(int op, FSDataSet *firstDataSet, QWidget *parent=0);

    private:
        FSDataSet *firstDataSet;

    public:
        int operation( void );
        void selectedDatasets( FSDataSet* selectedDataSets[] );
        double constant( void );
        bool onX( void );
        bool onY( void );

    private slots:
        void constantOp( void );
        void datasetOp( void );
};

#endif // FSOPDIALOG_H

